@import '../font.css';

body {
    width: 100%;
    height: 100vh;

    color: #fff;
    font-family: 'Montserrat', sans-serif;

    background: url('../../img/bg-pattern.png');
    background-repeat: no-repeat;
    background-size: cover;
    background-color: #000;
}

.app-main {
    padding: 0;
}

.app-main-generator {
    width: max-content;
    
    margin: 30px auto 0 auto;
    padding: 30px 100px;

    border-radius: 10px;
    background: #1f1f1f3b;
    backdrop-filter: blur(10px);

    user-select: none;
    -webkit-user-select: none;
}

.app-main-generator-title {
    font-size: 40px;
    font-weight: 800;
    text-align: center;
}

.app-main-generator-subtitle {
    color: red;

    font-weight: 600;
    margin: 10px 0;

    text-align: center;
}

.app-main-generator-input-content {
    margin: 0 0 20px 0;
}

.app-main-generator-input-content-title {
    font-size: 14px;
    font-weight: 600;
}

.app-main-generator-input {
    width: 100%;
    height: 40px;

    color: #fff;
    font-weight: 500;

    margin: 10px 0 0 0;
    padding: 0 10px;

    border: none;
    border-radius: 5px;
    background: #1f1f1f;
}

.app-main-generator-input:focus {
    outline: none;
}

.app-main-generator-error {
    color: red;

    font-weight: 600;
    margin: 5px 0 0 0;
}

.app-main-generator-button {
    width: 100%;
    height: 40px;

    color: #fff;
    font-weight: 600;
    text-transform: uppercase;

    margin: 10px 0 0 0;
    padding: 0 10px;

    border: none;
    border-radius: 5px;
    background: #1f1f1f;

    transition: .3s;
}

.app-main-generator-button:hover {
    color: #ffffffa1;
    background: #1f1f1f9a;
}

.app-main-generator-button:focus {
    outline: none;
}

.app-main-generator-description {
    font-size: 14px;
    font-weight: 600;

    text-align: center;

    margin: 20px 0 0 0;

    opacity: .5;
}

@media (max-width: 991px) {
    .app-main-generator {
        width: 100%;
        padding: 30px 25px;
    }

    .app-main-generator-title {
        font-size: 30px;
    }
}

@media (max-width: 480px) {
    .h-captcha iframe {
        width: 100% !important;
    }
}